Skip to content
Browse files

Ternary operator supported only in php5.3+

Fixes compatibility with php 5.2, as the Docs still say that propel requires 5.2.4+ version, ternary operators should not be used.
  • Loading branch information...
1 parent e914de6 commit c021369967c0662113e034a461e0ce8f2b3b8f44 @Gamesh Gamesh committed Apr 17, 2014
Showing with 1 addition and 1 deletion.
  1. +1 −1 runtime/lib/connection/DebugPDOStatement.php
View
2 runtime/lib/connection/DebugPDOStatement.php
@@ -101,7 +101,7 @@ public function execute($input_parameters = null)
$debug = $this->pdo->getDebugSnapshot();
$return = parent::execute($input_parameters);
- $sql = $this->getExecutedQueryString($input_parameters?:array());
+ $sql = $this->getExecutedQueryString($input_parameters?$input_parameters:array());
$this->pdo->log($sql, null, __METHOD__, $debug);
$this->pdo->setLastExecutedQuery($sql);
$this->pdo->incrementQueryCount();

0 comments on commit c021369

Please sign in to comment.
Something went wrong with that request. Please try again.